%define gcj_support 1
# TODO: separate bootstrap package
%define bootstrap 1
%define priority 7000
%define debug_package %{nil}

Name:		jessie
Version:	1.0.1
Release:	%mkrel 5
Epoch:		0
Summary:	A free implementation of the Java Secure Sockets Extension

Group:		Development/Java
License:	GPL
URL:		http://www.nongnu.org/jessie/
Source0:	http://syzygy.metastatic.org/jessie/%{name}-%{version}.tar.bz2
# workaround for http://gcc.gnu.org/bugzilla/show_bug.cgi?id=19870
Patch0:		jessie-1.0.0-gcj-workaround.patch.bz2
Patch1:		jessie-1.0.0-dont-print-name.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	gnu-crypto >= 0:2.1.0
Requires:	gnu-crypto-sasl-jdk1.4 >= 0:2.1.0
Requires:	gnu-crypto-jce-jdk1.4 >= 0:2.1.0
BuildRequires:	gnu-crypto >= 0:2.1.0
BuildRequires:  jpackage-utils > 0:1.5

BuildRequires:  java-devel >= 0:1.4
Requires:	java >= 0:1.4
%if %{gcj_support}
Requires(post):	%{_bindir}/rebuild-security-providers
Requires(postun): %{_bindir}/rebuild-security-providers
%else
BuildArch:	noarch
%endif
BuildRequires:	sharutils
%if !%{bootstrap}
Requires:	libswt3-gtk2 >= 0:3.2.0
BuildRequires:	libswt3-gtk2 >= 0:3.2.0
%endif

%description
JESSIE is a cleanroom implementation of the Java Secure Sockets
Extension, the JSSE, which aims for compliance and compatibility with
the JSSE as it exists in Java 2 Standard Edition, version 1.4.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

export JAVAC="%{javac}"
export JAR="%{jar}"
export JAVA="%{java}"
%if !%{bootstrap}
export CLASSPATH=$(build-classpath gnu-crypto swt-gtk-3.2.0):.:
%configure2_5x --enable-provider-only --enable-swt
%else
export CLASSPATH=$(build-classpath gnu-crypto):.:
%configure2_5x --enable-provider-only --disable-swt
%endif

%build
%make

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 lib/org-metastatic-jessie.jar \
  $RPM_BUILD_ROOT%{_javadir}/jsse-%{version}.jar
ln -s jsse-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/jsse.jar

%if %{gcj_support}
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d
touch $RPM_BUILD_ROOT%{_sysconfdir}/java/security/security.d/%{priority}-org.metastatic.jessie.provider.Jessie

install -dm 755 $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed
ln -s %{_javadir}/jsse-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/gcj-endorsed/jsse.jar

%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
if [ -x %{_bindir}/rebuild-security-providers ]
then
  %{_bindir}/rebuild-security-providers
fi
%{update_gcjdb}

%postun
if [ -x %{_bindir}/rebuild-security-providers ]
then
  %{_bindir}/rebuild-security-providers
fi
%{clean_gcjdb}
%endif

%files
%defattr(-,root,root,-)
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog COPYING README THANKS
%{_javadir}/jsse*.jar
%if %{gcj_support}
%{_javadir}/gcj-endorsed/jsse*.jar
%config(noreplace) %{_sysconfdir}/java/security/security.d/%{priority}-org.metastatic.jessie.provider.Jessie
%dir %{_libdir}/gcj/%{name}
%%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%changelog
* Mon Jul 17 2006 David Walluck <walluck@mandriva.org> 0:1.0.1-5mdv2007.0
- add bootstrap package

* Tue Jun 06 2006 David Walluck <walluck@mandriva.org> 0:1.0.1-4mdv2007.0
- rebuild for libgcj.so.7
- change security provider priority
- fix build when not noarch

* Thu Feb 09 2006 David Walluck <walluck@mandriva.org> 0:1.0.1-3mdk
- rebuild for new swt-gtk symlink

* Tue Nov 01 2005 David Walluck <walluck@mandriva.org> 0:1.0.1-2mdk
- set %%{javac}, %%{jar}, and %%{java} before %%configure
- BuildRequires: sharutils for uudecode
- build with swt support

* Mon Oct 24 2005 David Walluck <walluck@mandriva.org> 0:1.0.1-1mdk
- 1.0.1
- s/make/%%make/

* Wed May 11 2005 David Walluck <walluck@mandriva.org> 0:1.0.0-6mdk
- release

* Mon Apr 25 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-6
- Build the provider only.

* Fri Apr 15 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-5
- Require gnu-crypto.

* Wed Apr 13 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-4
- Add gcj endorsed dir support.

* Thu Mar 17 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-3
- Don't install security.d file.

* Thu Mar 10 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-2
- Comment out extdirs support.
- Install provider file.

* Sat Mar  5 2005 Thomas Fitzsimmons <fitzsim@redhat.com> - 0:1.0.0-1
- Initial build.
